﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Prism.UnityExtensions;
using System.Windows;
using Microsoft.Practices.Prism.Modularity;
using Shell.Views;
using Telerik.Windows.Controls;
using Microsoft.Practices.Prism.Regions;

namespace Shell
{
	public class Bootstrapper : UnityBootstrapper
	{
		protected override DependencyObject CreateShell()
		{
			return this.Container.TryResolve<ShellView>();
		}

		protected override void InitializeShell()
		{
			base.InitializeShell();

			Application.Current.MainWindow = (Window)this.Shell;
			Application.Current.MainWindow.Show();
		}
		protected override IModuleCatalog CreateModuleCatalog()
		{
			ModuleCatalog catalog = new ModuleCatalog();
			catalog.AddModule(typeof(Module1.Module1));
			catalog.AddModule(typeof(Module2.Module2) );
			catalog.AddModule(typeof(Module3.Module3), "Module2");
			return catalog;
		}
	}
}
